package com.jobs.common;

import lombok.Data;
import java.io.Serializable;

@Data
public class Result<T> implements Serializable {

    private Integer code; //状态码：1 成功，其它数字为失败

    private String msg; //状态信息

    private T data; //要返回的数据

    public static <T> Result<T> success(T object) {
        Result<T> r = new Result<T>();
        r.code = 1;
        r.msg = "成功";
        r.data = object;
        return r;
    }

    public static <T> Result<T> fail(Integer code, String msg) {
        Result r = new Result();
        r.code = code;
        r.msg = msg;
        return r;
    }
}
